# GB_BASE

    typedef
      struct {
        GB_CLASS klass;
        long ref;
        }
      GB_BASE ;

This structure represents the base of every Gambas object. It must be placed in the beginning of all object structure defined in a component.

The first element is the class of the object.

The second element is its reference counter.

Do not touch them ! They are managed by the interpreter.

Example :

      /* Here is the definition of a Control in the QT component */

      typedef
        struct {
          GB_BASE ob;
          QWidget *widget;
          unsigned short flag;
          char background;
          char foreground;
          GB_VARIANT_VALUE tag;
          char *tooltip;
          CFONT font;
          }
        CWIDGET;